################################################################################
#
#  Licensed Materials - Property of IBM
#  5698-B34  Copyright IBM Corp. 2008, 2013
#  All rights reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#    File: tivoli_eif/zOSEventSupport_rules.sh, OMNIbus, EventPump422
#    SID: 1.8
#    Date Modified: 13/08/05 09:52:45
#
#  Change History:
#    YY/MM/DD        Description
#    --------        -----------------------------------------------------------
#    08/09/26        Initial IBM Tivoli Event Pump for z/OS V4.2.0
#    08/10/13        RAR remove redonent omnibus in copy path
#    09/03/10        Defect 175022
#    10/10/07        Defect 178932
#    11/04/15        OA35980, Tivoli Netcool/OMNIbus 7.3 support
#    11/11/28        OA37991, Tivoli EIF Probe master rules file support
#    13/07/12        OA42567, Linux kernel 3.x systems support
#
################################################################################
#
#  This script file copies all rules and lookup files from the current directory
#  to the $NCHOME/omnibus/probes/$ARCH directory.
#
################################################################################

################################################################################
# Find nco_common
################################################################################
NCO_COMMON=`dirname $0`/../../bin/nco_common

################################################################################
# Check for nco_common, and load if found
################################################################################
if [ ! -f "$NCO_COMMON" ]; then
        echo "Cannot find nco_common" 1>&2
        exit 1
fi
. $NCO_COMMON

cp -f *.rules $NCHOME/omnibus/probes/$ARCH
cp -f *.lookup $NCHOME/omnibus/probes/$ARCH
echo "Files copied"
